<template>
    <header>
        <nav class="navbar navbar-expand-lg bg-body-tertiary">
            <div class="container-fluid">
                <RouterLink class="navbar-brand" to="/">Vue spring</RouterLink>
                <button @click="navOpen = !navOpen" class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
                    aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" :class="{show:navOpen}" id="navbarNav">
                    <ul class="navbar-nav">
                        <li class="nav-item" @click="navOpen = false">
                            <RouterLink class="nav-link" active-class="active" aria-current="page" to="/">Home</RouterLink>
                        </li>
                        <li class="nav-item" @click="navOpen = false">
                            <RouterLink class="nav-link" active-class="active" aria-current="page" :to="{name:'add-dog'}">Add Dog</RouterLink>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>

</template>

<script setup lang="ts">
import { ref } from 'vue';
import { RouterLink } from 'vue-router';

//Ref qui indique si la navbar est ouverte ou non en mode mobile
const navOpen = ref(false);

</script>